# std::chrono::duration::max

From cppreference.com
< cpp‎ | chrono‎ | duration

static constexpr duration max(); |  |

Returns a duration with the largest possible value.

If the representation `rep` of the duration requires some other implementation to return a maximum-length duration, std::chrono::duration_values can be specialized to return the desired value.

### Parameters

(none)

### Return value

returns std::chrono::duration(std::chrono::duration_values<rep>::max())

### See also

zero [static] | returns the special duration value zero (public static member function)
min [static] | returns the special duration value min (public static member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/chrono/duration/max&oldid=57201"